<?php

namespace app\models;

class Material extends \yii\db\ActiveRecord
{
    public $id;
    public $title;
    public $content;
    public $blog_id;

    /**
     * {@inheritDoc}
     */
    public function rules()
    {
        return [
            [['id', 'title', 'content', 'blog_id'], 'required'],
            [['title', 'content', 'blog_id'], 'string'],
            [['id'], 'integer'],
        ];
    }

    /**
     * {@inheritDoc}
     */
    public function tableName()
    {
        return "materials";
    }
}
