<?php

namespace app\models;

class Subscriptions extends \yii\db\ActiveRecord
{
    public $user_id;
    public $company_id;

    /**
     * {@inheritDoc}
     */
    public function rules()
    {
        return [
            [['user_id'], 'required'],
            [['id'], 'integer'],
        ];
    }

    public function getUser()
    {
        return $this->hasOne(User::class, [ 'id' => 'user_id' ]);
    }

    public function getCompany()
    {
        return $this->hasOne(Companies::class, [ 'id' => 'company_id' ]);
    }

    /**
     * {@inheritDoc}
     */
    public function tableName()
    {
        return "subscriptions";
    }
}
